Package org.drinkless.tdlib

# Class TdApi.GetChatNotificationSettingsExceptions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Chats>
org.drinkless.tdlib.TdApi.GetChatNotificationSettingsExceptions

Enclosing class:
  `TdApi`

public static class TdApi.GetChatNotificationSettingsExceptions extends TdApi.Function<TdApi.Chats>
Returns the list of chats with non-default notification settings for new messages.

Returns `Chats`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `compareSound`
  Pass true to include in the response chats with only non-default sound.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.NotificationSettingsScope`
  `scope`
  If specified, only chats from the scope will be returned; pass null to return chats from all scopes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatNotificationSettingsExceptions()`
  Default constructor for a function, which returns the list of chats with non-default notification settings for new messages.
  `GetChatNotificationSettingsExceptions(TdApi.NotificationSettingsScope scope, boolean compareSound)`
  Creates a function, which returns the list of chats with non-default notification settings for new messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### scope

    public TdApi.NotificationSettingsScope scope
    If specified, only chats from the scope will be returned; pass null to return chats from all scopes.

  - ### compareSound

    public boolean compareSound
    Pass true to include in the response chats with only non-default sound.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatNotificationSettingsExceptions

    public GetChatNotificationSettingsExceptions()
    Default constructor for a function, which returns the list of chats with non-default notification settings for new messages.

    Returns `Chats`

  - ### GetChatNotificationSettingsExceptions

    public GetChatNotificationSettingsExceptions(TdApi.NotificationSettingsScope scope, boolean compareSound)
    Creates a function, which returns the list of chats with non-default notification settings for new messages.

    Returns `Chats`

    Parameters:
      `scope` - If specified, only chats from the scope will be returned; pass null to return chats from all scopes.
      `compareSound` - Pass true to include in the response chats with only non-default sound.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Chats>`
    Returns:
      this.CONSTRUCTOR